Subject: [os2genau_digest] No. 613
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 10 May 2003 00:04:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 09 May 2003
 Number  613
**************************************************

Subjects for today
 
1   Moving DB2 databases. : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re:  Moving DB2 databases. : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Fri, 09 May 2003 14:40:18 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:   Moving DB2 databases.

You'll all remember that a while ago we had a thread discussing how to
transfer an OS/2 DB2 database from one server to another. There were
differing opinions as to whether export and import or backup were the
best approach.

Well we exported and imported the data - it took some time and had to be
done in small amounts as the DB2 transaction log kept filling up.

Well I have now completed the second phase of the operation, moving back
from the temporary server to the original, now repaired and upgraded.

What I did was zip up the individual partitions on the temporary server
and burnt the zip files to CDs (one having to be split using ZipSplit).
I then partitioned and formatted the destination system and simply
unzipped the data back into its partitions. Note the partitions on the
final server are a different size to those on the temporary server and I
went from RAID-0 on the temporary server to RAID-5 on the final machine.

I expected we would have to re-import the data, but no - everything is
there and everything works !

  R O C K   O N    O S / 2  - There's NO WAY this would have worked
under Windoze !

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 09 May 2003 17:07:41 +1000 (EST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Moving DB2 databases.

On Fri, 09 May 2003 14:40:18 +1000, Ed Durrant wrote:

Ripper, Rita!! or Bewdy, Newk!! Anything to express satisfaction at a job
well done!

How about reporting that to something like DB2 Magazine?

>You'll all remember that a while ago we had a thread discussing how to
>transfer an OS/2 DB2 database from one server to another. There were
>differing opinions as to whether export and import or backup were the
>best approach.
>

[chomp] various details

>I expected we would have to re-import the data, but no - everything is
>there and everything works !
>
>  R O C K   O N    O S / 2  - There's NO WAY this would have worked
>under Windoze !

Best regards
John Angelico
OS/2 SIG
talldad at melbpc dot org dot au or talldad at kepl dot com dot au
--------------------------------------

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Sorry, I don't have those problems anymore. I use OS/2.
----------------------------------------------------------------------------------